Direct Debit · API reference · instruments
Get Instrument
Base URL not set in the spec · operationId get_instrument_instruments__instrument_id__get
Get an instrument by ID.
Authorization
The spec does not declare an authentication scheme for this endpoint.
Path parameters
instrument_id string (uuid) requiredHeaders
X-API-Key string | null Responses
200 Successful Response application/json
org_id string (uuid) requiredID of the organization this instrument belongs to
customer_id string (uuid) requiredID of the customer that owns this instrument
type string requiredType of instrument (card, bank_account, other)
mx_direct_debit_card mx_clabe description string | null Description of the instrument
status string Current status of the instrument
active inactive verification_in_progress errored mx_direct_debit_card MXDirectDebitCardInstrument | null Card instrument for Mexico Direct Debit
card_number mx_direct_debit_card.card_number string requiredCard number
bank mx_direct_debit_card.bank string requiredBank identifier
mx_santander mx_banorte mx_bbva mx_banamex mx_hsbc mx_citi mx_banjercito mx_bajio mx_inbursa mx_invex mx_america mx_vepormas mx_azteca mx_multiva mx_actinver mx_bancoppel mx_fundaciondonde mx_bancrea mx_bankaaol mx_scotiabank mx_banregio mx_afirme mx_compartamos mx_base mx_ci mx_mifel mx_interbanco mx_sabadell mx_clabe MXClabeInstrument | null CLABE instrument for Mexico
clabe mx_clabe.clabe string requiredCLABE number
can_credit mx_clabe.can_credit boolean | null Whether this instrument can receive credits
can_debit mx_clabe.can_debit boolean | null Whether this instrument can be debited
currency string | null ISO 4217 currency code
ownership_verification_result string | null Result of ownership verification
no_match matched errored ownership_verification_result_at string (date-time) | null When ownership verification was completed
id string (uuid) requiredcreated_at string (date-time) requiredupdated_at string (date-time) | null 422 Validation Error application/json
detail array of ValidationError loc detail[].loc array of (string | integer) requiredmsg detail[].msg string requiredtype detail[].type string requiredThis request is in the Monato · Direct Debit Postman collection, folder instruments.Download collection
Request
curl -X GET "$BASE_URL/instruments/{instrument_id}" \
-H "X-API-Key: $API_KEY"const res = await fetch(`${BASE_URL}/instruments/{instrument_id}`, {
method: "GET",
headers: {
"X-API-Key": API_KEY,
},
});
const data = await res.json();import requests
res = requests.get(
f"{BASE_URL}/instruments/{{instrument_id}}",
headers={
"X-API-Key": API_KEY,
},
)
data = res.json()